Bug 115032

Summary: [GStreamer] Add audio/speex MIME type as supported
Product: WebKit Reporter: Adrian Perez <aperez>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, pnormand, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Adrian Perez 2013-04-23 06:22:11 PDT
[GStreamer] Add audio/speex MIME type as supported
Comment 1 Adrian Perez 2013-04-23 06:24:59 PDT
GStreamer has support for the Speex codec (http://www.speex.org).
Speex streams may be embedded in a Ogg container, or standalone.
The case of the Ogg container is already covered by the “*/ogg”
MIME types declared as supported by the GStreamer media playing
code, but for standalone streams to work, “audio/speex” has to
be added. Also, it would be desirable to have a check in the
media tests.
Comment 2 Adrian Perez 2013-04-23 06:29:50 PDT
Created attachment 199226 [details]
Patch
Comment 3 Adrian Perez 2013-04-23 06:33:15 PDT
The patch is similar to the one that was accepted a while ago for
bug #98759
Comment 4 Philippe Normand 2013-04-24 12:06:34 PDT
Comment on attachment 199226 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=199226&action=review

> LayoutTests/platform/qt-linux/media/media-can-play-ogg-expected.txt:9
> +EXPECTED (video.canPlayType('audio/ogg; codecs=speex') == 'probably'), OBSERVED '' FAIL

Hum are you sure about this one? AFAIK qt-linux uses the GStreamer backend so this result would be OK instead of FAIL
Comment 5 Adrian Perez 2013-04-25 01:11:17 PDT
(In reply to comment #4)
> (From update of attachment 199226 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=199226&action=review
> 
> > LayoutTests/platform/qt-linux/media/media-can-play-ogg-expected.txt:9
> > +EXPECTED (video.canPlayType('audio/ogg; codecs=speex') == 'probably'), OBSERVED '' FAIL
> 
> Hum are you sure about this one? AFAIK qt-linux uses the GStreamer backend so this result would be OK instead of FAIL

I have double-checked: in the Opus case it was left as FAIL because the
qt-linux bots do not have a gst-plugins-bad (or not recent enough), but
I see that the Speex element is in gst-plugins-good, so I am updating the
patch leaving this as OK for qt-linux.
Comment 6 Adrian Perez 2013-04-25 01:23:21 PDT
Created attachment 199630 [details]
Patch
Comment 7 Adrian Perez 2013-04-25 07:31:08 PDT
Adding Xan in CC.

Xan, could you please cq+ the patch?
Comment 8 Philippe Normand 2013-04-25 07:40:01 PDT
Comment on attachment 199630 [details]
Patch

Sorry I forgot to set it
Comment 9 WebKit Commit Bot 2013-04-25 07:51:21 PDT
Comment on attachment 199630 [details]
Patch

Clearing flags on attachment: 199630

Committed r149111: <http://trac.webkit.org/changeset/149111>
Comment 10 WebKit Commit Bot 2013-04-25 07:51:23 PDT
All reviewed patches have been landed.  Closing bug.